Ignore:
File:
1 edited

Legend:

Unmodified
Added
Removed
  • src/tests/preempt_longrun/Makefile.in

    r0764cfb re1c1829  
    1 # Makefile.in generated by automake 1.15 from Makefile.am.
     1# Makefile.in generated by automake 1.11.3 from Makefile.am.
    22# @configure_input@
    33
    4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
    5 
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
     6# Foundation, Inc.
    67# This Makefile.in is free software; the Free Software Foundation
    78# gives unlimited permission to copy and/or distribute it,
     
    1819###############################################################################
    1920VPATH = @srcdir@
    20 am__is_gnu_make = { \
    21   if test -z '$(MAKELEVEL)'; then \
    22     false; \
    23   elif test -n '$(MAKE_HOST)'; then \
    24     true; \
    25   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    26     true; \
    27   else \
    28     false; \
    29   fi; \
    30 }
    31 am__make_running_with_option = \
    32   case $${target_option-} in \
    33       ?) ;; \
    34       *) echo "am__make_running_with_option: internal error: invalid" \
    35               "target option '$${target_option-}' specified" >&2; \
    36          exit 1;; \
    37   esac; \
    38   has_opt=no; \
    39   sane_makeflags=$$MAKEFLAGS; \
    40   if $(am__is_gnu_make); then \
    41     sane_makeflags=$$MFLAGS; \
    42   else \
    43     case $$MAKEFLAGS in \
    44       *\\[\ \   ]*) \
    45         bs=\\; \
    46         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
    47           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
    48     esac; \
    49   fi; \
    50   skip_next=no; \
    51   strip_trailopt () \
    52   { \
    53     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
    54   }; \
    55   for flg in $$sane_makeflags; do \
    56     test $$skip_next = yes && { skip_next=no; continue; }; \
    57     case $$flg in \
    58       *=*|--*) continue;; \
    59         -*I) strip_trailopt 'I'; skip_next=yes;; \
    60       -*I?*) strip_trailopt 'I';; \
    61         -*O) strip_trailopt 'O'; skip_next=yes;; \
    62       -*O?*) strip_trailopt 'O';; \
    63         -*l) strip_trailopt 'l'; skip_next=yes;; \
    64       -*l?*) strip_trailopt 'l';; \
    65       -[dEDm]) skip_next=yes;; \
    66       -[JT]) skip_next=yes;; \
    67     esac; \
    68     case $$flg in \
    69       *$$target_option*) has_opt=yes; break;; \
    70     esac; \
    71   done; \
    72   test $$has_opt = yes
    73 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
    74 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
    7521pkgdatadir = $(datadir)/@PACKAGE@
    7622pkgincludedir = $(includedir)/@PACKAGE@
     
    9238host_triplet = @host@
    9339subdir = src/tests/preempt_longrun
     40DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
    9441ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    9542am__aclocal_m4_deps = $(top_srcdir)/configure.ac
    9643am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    9744        $(ACLOCAL_M4)
    98 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
    9945mkinstalldirs = $(install_sh) -d
    10046CONFIG_HEADER = $(top_builddir)/config.h
    10147CONFIG_CLEAN_FILES =
    10248CONFIG_CLEAN_VPATH_FILES =
    103 AM_V_P = $(am__v_P_@AM_V@)
    104 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    105 am__v_P_0 = false
    106 am__v_P_1 = :
    10749AM_V_GEN = $(am__v_GEN_@AM_V@)
    10850am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    109 am__v_GEN_0 = @echo "  GEN     " $@;
    110 am__v_GEN_1 =
     51am__v_GEN_0 = @echo "  GEN   " $@;
    11152AM_V_at = $(am__v_at_@AM_V@)
    11253am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    11354am__v_at_0 = @
    114 am__v_at_1 =
    11555SOURCES =
    11656DIST_SOURCES =
    117 am__can_run_installinfo = \
    118   case $$AM_UPDATE_INFO_DIR in \
    119     n|no|NO) false;; \
    120     *) (install-info --version) >/dev/null 2>&1;; \
    121   esac
    122 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    123 am__tty_colors_dummy = \
    124   mgn= red= grn= lgn= blu= brg= std=; \
    125   am__color_tests=no
    126 am__tty_colors = { \
    127   $(am__tty_colors_dummy); \
    128   if test "X$(AM_COLOR_TESTS)" = Xno; then \
    129     am__color_tests=no; \
    130   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    131     am__color_tests=yes; \
    132   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    133     am__color_tests=yes; \
    134   fi; \
    135   if test $$am__color_tests = yes; then \
    136     red='[0;31m'; \
    137     grn='[0;32m'; \
    138     lgn='[1;32m'; \
    139     blu='[1;34m'; \
    140     mgn='[0;35m'; \
    141     brg='[1m'; \
    142     std='[m'; \
    143   fi; \
    144 }
    145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    146 am__vpath_adj = case $$p in \
    147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    148     *) f=$$p;; \
    149   esac;
    150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    151 am__install_max = 40
    152 am__nobase_strip_setup = \
    153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    154 am__nobase_strip = \
    155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    156 am__nobase_list = $(am__nobase_strip_setup); \
    157   for p in $$list; do echo "$$p $$p"; done | \
    158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    160     if (++n[$$2] == $(am__install_max)) \
    161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    162     END { for (dir in files) print dir, files[dir] }'
    163 am__base_list = \
    164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    166 am__uninstall_files_from_dir = { \
    167   test -z "$$files" \
    168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    170          $(am__cd) "$$dir" && rm -f $$files; }; \
    171   }
    172 am__recheck_rx = ^[     ]*:recheck:[    ]*
    173 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
    174 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
    175 # A command that, given a newline-separated list of test names on the
    176 # standard input, print the name of the tests that are to be re-run
    177 # upon "make recheck".
    178 am__list_recheck_tests = $(AWK) '{ \
    179   recheck = 1; \
    180   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    181     { \
    182       if (rc < 0) \
    183         { \
    184           if ((getline line2 < ($$0 ".log")) < 0) \
    185             recheck = 0; \
    186           break; \
    187         } \
    188       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    189         { \
    190           recheck = 0; \
    191           break; \
    192         } \
    193       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    194         { \
    195           break; \
    196         } \
    197     }; \
    198   if (recheck) \
    199     print $$0; \
    200   close ($$0 ".trs"); \
    201   close ($$0 ".log"); \
    202 }'
    203 # A command that, given a newline-separated list of test names on the
    204 # standard input, create the global log from their .trs and .log files.
    205 am__create_global_log = $(AWK) ' \
    206 function fatal(msg) \
    207 { \
    208   print "fatal: making $@: " msg | "cat >&2"; \
    209   exit 1; \
    210 } \
    211 function rst_section(header) \
    212 { \
    213   print header; \
    214   len = length(header); \
    215   for (i = 1; i <= len; i = i + 1) \
    216     printf "="; \
    217   printf "\n\n"; \
    218 } \
    219 { \
    220   copy_in_global_log = 1; \
    221   global_test_result = "RUN"; \
    222   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    223     { \
    224       if (rc < 0) \
    225          fatal("failed to read from " $$0 ".trs"); \
    226       if (line ~ /$(am__global_test_result_rx)/) \
    227         { \
    228           sub("$(am__global_test_result_rx)", "", line); \
    229           sub("[        ]*$$", "", line); \
    230           global_test_result = line; \
    231         } \
    232       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    233         copy_in_global_log = 0; \
    234     }; \
    235   if (copy_in_global_log) \
    236     { \
    237       rst_section(global_test_result ": " $$0); \
    238       while ((rc = (getline line < ($$0 ".log"))) != 0) \
    239       { \
    240         if (rc < 0) \
    241           fatal("failed to read from " $$0 ".log"); \
    242         print line; \
    243       }; \
    244       printf "\n"; \
    245     }; \
    246   close ($$0 ".trs"); \
    247   close ($$0 ".log"); \
    248 }'
    249 # Restructured Text title.
    250 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    251 # Solaris 10 'make', and several other traditional 'make' implementations,
    252 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    253 # by disabling -e (using the XSI extension "set +e") if it's set.
    254 am__sh_e_setup = case $$- in *e*) set +e;; esac
    255 # Default flags passed to test drivers.
    256 am__common_driver_flags = \
    257   --color-tests "$$am__color_tests" \
    258   --enable-hard-errors "$$am__enable_hard_errors" \
    259   --expect-failure "$$am__expect_failure"
    260 # To be inserted before the command running the test.  Creates the
    261 # directory for the log if needed.  Stores in $dir the directory
    262 # containing $f, in $tst the test, in $log the log.  Executes the
    263 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    264 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    265 # will run the test scripts (or their associated LOG_COMPILER, if
    266 # thy have one).
    267 am__check_pre = \
    268 $(am__sh_e_setup);                                      \
    269 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
    270 $(am__tty_colors);                                      \
    271 srcdir=$(srcdir); export srcdir;                        \
    272 case "$@" in                                            \
    273   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
    274     *) am__odir=.;;                                     \
    275 esac;                                                   \
    276 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
    277   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
    278 if test -f "./$$f"; then dir=./;                        \
    279 elif test -f "$$f"; then dir=;                          \
    280 else dir="$(srcdir)/"; fi;                              \
    281 tst=$$dir$$f; log='$@';                                 \
    282 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
    283   am__enable_hard_errors=no;                            \
    284 else                                                    \
    285   am__enable_hard_errors=yes;                           \
    286 fi;                                                     \
    287 case " $(XFAIL_TESTS) " in                              \
    288   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
    289     am__expect_failure=yes;;                            \
    290   *)                                                    \
    291     am__expect_failure=no;;                             \
    292 esac;                                                   \
    293 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    294 # A shell command to get the names of the tests scripts with any registered
    295 # extension removed (i.e., equivalently, the names of the test logs, with
    296 # the '.log' extension removed).  The result is saved in the shell variable
    297 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    298 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    299 # since that might cause problem with VPATH rewrites for suffix-less tests.
    300 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    301 am__set_TESTS_bases = \
    302   bases='$(TEST_LOGS)'; \
    303   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    304   bases=`echo $$bases`
    305 RECHECK_LOGS = $(TEST_LOGS)
    306 AM_RECURSIVE_TARGETS = check recheck
    307 TEST_SUITE_LOG = test-suite.log
    308 TEST_EXTENSIONS = @EXEEXT@ .test
    309 LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
    310 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    311 am__set_b = \
    312   case '$@' in \
    313     */*) \
    314       case '$*' in \
    315         */*) b='$*';; \
    316           *) b=`echo '$@' | sed 's/\.log$$//'`; \
    317        esac;; \
    318     *) \
    319       b='$*';; \
    320   esac
    321 am__test_logs1 = $(TESTS:=.log)
    322 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    323 TEST_LOGS = $(am__test_logs2:.test.log=.log)
    324 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
    325 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    326         $(TEST_LOG_FLAGS)
    327 am__DIST_COMMON = $(srcdir)/Makefile.in \
    328         $(top_srcdir)/automake/test-driver
     57am__tty_colors = \
     58red=; grn=; lgn=; blu=; std=
    32959DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    33060ACLOCAL = @ACLOCAL@
     
    439169program_transform_name = @program_transform_name@
    440170psdir = @psdir@
    441 runstatedir = @runstatedir@
    442171sbindir = @sbindir@
    443172sharedstatedir = @sharedstatedir@
     
    449178top_srcdir = @top_srcdir@
    450179repeats = 10
    451 max_time = 600
    452 preempt = 1_000ul
     180max_time = 10
     181N = 10ul
     182preempt = 10_000ul
    453183REPEAT = ${abs_top_srcdir}/tools/repeat -s
    454 BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -debug -O2 -DPREEMPTION_RATE=${preempt}
    455 TESTS = barge block create disjoint enter enter3 processor stack wait yield
     184BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -debug -O2 -DN=${N} -DPREEMPTION_RATE=${preempt}
     185TESTS = barge block create disjoint processor stack wait yield
    456186all: all-am
    457187
    458188.SUFFIXES:
    459 .SUFFIXES: .log .test .test$(EXEEXT) .trs
    460189$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
    461190        @for dep in $?; do \
     
    470199        $(am__cd) $(top_srcdir) && \
    471200          $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile
     201.PRECIOUS: Makefile
    472202Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    473203        @case '$?' in \
     
    487217        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    488218$(am__aclocal_m4_deps):
    489 tags TAGS:
    490 
    491 ctags CTAGS:
    492 
    493 cscope cscopelist:
    494 
    495 
    496 # Recover from deleted '.trs' file; this should ensure that
    497 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    498 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    499 # to avoid problems with "make -n".
    500 .log.trs:
    501         rm -f $< $@
    502         $(MAKE) $(AM_MAKEFLAGS) $<
    503 
    504 # Leading 'am--fnord' is there to ensure the list of targets does not
    505 # expand to empty, as could happen e.g. with make check TESTS=''.
    506 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    507 am--force-recheck:
    508         @:
    509 
    510 $(TEST_SUITE_LOG): $(TEST_LOGS)
    511         @$(am__set_TESTS_bases); \
    512         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
    513         redo_bases=`for i in $$bases; do \
    514                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
    515                     done`; \
    516         if test -n "$$redo_bases"; then \
    517           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
    518           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
    519           if $(am__make_dryrun); then :; else \
    520             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
    521           fi; \
    522         fi; \
    523         if test -n "$$am__remaking_logs"; then \
    524           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
    525                "recursion detected" >&2; \
    526         elif test -n "$$redo_logs"; then \
    527           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
    528         fi; \
    529         if $(am__make_dryrun); then :; else \
    530           st=0;  \
    531           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
    532           for i in $$redo_bases; do \
    533             test -f $$i.trs && test -r $$i.trs \
    534               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    535             test -f $$i.log && test -r $$i.log \
    536               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
     219tags: TAGS
     220TAGS:
     221
     222ctags: CTAGS
     223CTAGS:
     224
     225
     226check-TESTS: $(TESTS)
     227        @failed=0; all=0; xfail=0; xpass=0; skip=0; \
     228        srcdir=$(srcdir); export srcdir; \
     229        list=' $(TESTS) '; \
     230        $(am__tty_colors); \
     231        if test -n "$$list"; then \
     232          for tst in $$list; do \
     233            if test -f ./$$tst; then dir=./; \
     234            elif test -f $$tst; then dir=; \
     235            else dir="$(srcdir)/"; fi; \
     236            if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
     237              all=`expr $$all + 1`; \
     238              case " $(XFAIL_TESTS) " in \
     239              *[\ \     ]$$tst[\ \      ]*) \
     240                xpass=`expr $$xpass + 1`; \
     241                failed=`expr $$failed + 1`; \
     242                col=$$red; res=XPASS; \
     243              ;; \
     244              *) \
     245                col=$$grn; res=PASS; \
     246              ;; \
     247              esac; \
     248            elif test $$? -ne 77; then \
     249              all=`expr $$all + 1`; \
     250              case " $(XFAIL_TESTS) " in \
     251              *[\ \     ]$$tst[\ \      ]*) \
     252                xfail=`expr $$xfail + 1`; \
     253                col=$$lgn; res=XFAIL; \
     254              ;; \
     255              *) \
     256                failed=`expr $$failed + 1`; \
     257                col=$$red; res=FAIL; \
     258              ;; \
     259              esac; \
     260            else \
     261              skip=`expr $$skip + 1`; \
     262              col=$$blu; res=SKIP; \
     263            fi; \
     264            echo "$${col}$$res$${std}: $$tst"; \
    537265          done; \
    538           test $$st -eq 0 || exit 1; \
    539         fi
    540         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
    541         ws='[   ]'; \
    542         results=`for b in $$bases; do echo $$b.trs; done`; \
    543         test -n "$$results" || results=/dev/null; \
    544         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
    545         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
    546         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
    547         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
    548         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
    549         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
    550         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
    551         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
    552           success=true; \
    553         else \
    554           success=false; \
    555         fi; \
    556         br='==================='; br=$$br$$br$$br$$br; \
    557         result_count () \
    558         { \
    559             if test x"$$1" = x"--maybe-color"; then \
    560               maybe_colorize=yes; \
    561             elif test x"$$1" = x"--no-color"; then \
    562               maybe_colorize=no; \
     266          if test "$$all" -eq 1; then \
     267            tests="test"; \
     268            All=""; \
     269          else \
     270            tests="tests"; \
     271            All="All "; \
     272          fi; \
     273          if test "$$failed" -eq 0; then \
     274            if test "$$xfail" -eq 0; then \
     275              banner="$$All$$all $$tests passed"; \
    563276            else \
    564               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    565             fi; \
    566             shift; \
    567             desc=$$1 count=$$2; \
    568             if test $$maybe_colorize = yes && test $$count -gt 0; then \
    569               color_start=$$3 color_end=$$std; \
     277              if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
     278              banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
     279            fi; \
     280          else \
     281            if test "$$xpass" -eq 0; then \
     282              banner="$$failed of $$all $$tests failed"; \
    570283            else \
    571               color_start= color_end=; \
    572             fi; \
    573             echo "$${color_start}# $$desc $$count$${color_end}"; \
    574         }; \
    575         create_testsuite_report () \
    576         { \
    577           result_count $$1 "TOTAL:" $$all   "$$brg"; \
    578           result_count $$1 "PASS: " $$pass  "$$grn"; \
    579           result_count $$1 "SKIP: " $$skip  "$$blu"; \
    580           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
    581           result_count $$1 "FAIL: " $$fail  "$$red"; \
    582           result_count $$1 "XPASS:" $$xpass "$$red"; \
    583           result_count $$1 "ERROR:" $$error "$$mgn"; \
    584         }; \
    585         {                                                               \
    586           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
    587             $(am__rst_title);                                           \
    588           create_testsuite_report --no-color;                           \
    589           echo;                                                         \
    590           echo ".. contents:: :depth: 2";                               \
    591           echo;                                                         \
    592           for b in $$bases; do echo $$b; done                           \
    593             | $(am__create_global_log);                                 \
    594         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
    595         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
    596         if $$success; then                                              \
    597           col="$$grn";                                                  \
    598          else                                                           \
    599           col="$$red";                                                  \
    600           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
    601         fi;                                                             \
    602         echo "$${col}$$br$${std}";                                      \
    603         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
    604         echo "$${col}$$br$${std}";                                      \
    605         create_testsuite_report --maybe-color;                          \
    606         echo "$$col$$br$$std";                                          \
    607         if $$success; then :; else                                      \
    608           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
    609           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
    610             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
    611           fi;                                                           \
    612           echo "$$col$$br$$std";                                        \
    613         fi;                                                             \
    614         $$success || exit 1
    615 
    616 check-TESTS:
    617         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
    618         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
    619         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    620         @set +e; $(am__set_TESTS_bases); \
    621         log_list=`for i in $$bases; do echo $$i.log; done`; \
    622         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
    623         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
    624         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
    625         exit $$?;
    626 recheck: all
    627         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    628         @set +e; $(am__set_TESTS_bases); \
    629         bases=`for i in $$bases; do echo $$i; done \
    630                  | $(am__list_recheck_tests)` || exit 1; \
    631         log_list=`for i in $$bases; do echo $$i.log; done`; \
    632         log_list=`echo $$log_list`; \
    633         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
    634                 am__force_recheck=am--force-recheck \
    635                 TEST_LOGS="$$log_list"; \
    636         exit $$?
    637 barge.log: barge
    638         @p='barge'; \
    639         b='barge'; \
    640         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    641         --log-file $$b.log --trs-file $$b.trs \
    642         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    643         "$$tst" $(AM_TESTS_FD_REDIRECT)
    644 block.log: block
    645         @p='block'; \
    646         b='block'; \
    647         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    648         --log-file $$b.log --trs-file $$b.trs \
    649         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    650         "$$tst" $(AM_TESTS_FD_REDIRECT)
    651 create.log: create
    652         @p='create'; \
    653         b='create'; \
    654         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    655         --log-file $$b.log --trs-file $$b.trs \
    656         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    657         "$$tst" $(AM_TESTS_FD_REDIRECT)
    658 disjoint.log: disjoint
    659         @p='disjoint'; \
    660         b='disjoint'; \
    661         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    662         --log-file $$b.log --trs-file $$b.trs \
    663         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    664         "$$tst" $(AM_TESTS_FD_REDIRECT)
    665 enter.log: enter
    666         @p='enter'; \
    667         b='enter'; \
    668         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    669         --log-file $$b.log --trs-file $$b.trs \
    670         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    671         "$$tst" $(AM_TESTS_FD_REDIRECT)
    672 enter3.log: enter3
    673         @p='enter3'; \
    674         b='enter3'; \
    675         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    676         --log-file $$b.log --trs-file $$b.trs \
    677         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    678         "$$tst" $(AM_TESTS_FD_REDIRECT)
    679 processor.log: processor
    680         @p='processor'; \
    681         b='processor'; \
    682         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    683         --log-file $$b.log --trs-file $$b.trs \
    684         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    685         "$$tst" $(AM_TESTS_FD_REDIRECT)
    686 stack.log: stack
    687         @p='stack'; \
    688         b='stack'; \
    689         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    690         --log-file $$b.log --trs-file $$b.trs \
    691         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    692         "$$tst" $(AM_TESTS_FD_REDIRECT)
    693 wait.log: wait
    694         @p='wait'; \
    695         b='wait'; \
    696         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    697         --log-file $$b.log --trs-file $$b.trs \
    698         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    699         "$$tst" $(AM_TESTS_FD_REDIRECT)
    700 yield.log: yield
    701         @p='yield'; \
    702         b='yield'; \
    703         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    704         --log-file $$b.log --trs-file $$b.trs \
    705         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    706         "$$tst" $(AM_TESTS_FD_REDIRECT)
    707 .test.log:
    708         @p='$<'; \
    709         $(am__set_b); \
    710         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    711         --log-file $$b.log --trs-file $$b.trs \
    712         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    713         "$$tst" $(AM_TESTS_FD_REDIRECT)
    714 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
    715 @am__EXEEXT_TRUE@       @p='$<'; \
    716 @am__EXEEXT_TRUE@       $(am__set_b); \
    717 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    718 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
    719 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    720 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
     284              if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
     285              banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
     286            fi; \
     287          fi; \
     288          dashes="$$banner"; \
     289          skipped=""; \
     290          if test "$$skip" -ne 0; then \
     291            if test "$$skip" -eq 1; then \
     292              skipped="($$skip test was not run)"; \
     293            else \
     294              skipped="($$skip tests were not run)"; \
     295            fi; \
     296            test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
     297              dashes="$$skipped"; \
     298          fi; \
     299          report=""; \
     300          if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
     301            report="Please report to $(PACKAGE_BUGREPORT)"; \
     302            test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
     303              dashes="$$report"; \
     304          fi; \
     305          dashes=`echo "$$dashes" | sed s/./=/g`; \
     306          if test "$$failed" -eq 0; then \
     307            col="$$grn"; \
     308          else \
     309            col="$$red"; \
     310          fi; \
     311          echo "$${col}$$dashes$${std}"; \
     312          echo "$${col}$$banner$${std}"; \
     313          test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
     314          test -z "$$report" || echo "$${col}$$report$${std}"; \
     315          echo "$${col}$$dashes$${std}"; \
     316          test "$$failed" -eq 0; \
     317        else :; fi
    721318
    722319distdir: $(DISTFILES)
     
    775372        fi
    776373mostlyclean-generic:
    777         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
    778         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
    779         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    780374
    781375clean-generic:
     
    790384clean: clean-am
    791385
    792 clean-am: clean-generic clean-local mostlyclean-am
     386clean-am: clean-generic mostlyclean-am
    793387
    794388distclean: distclean-am
     
    857451
    858452.PHONY: all all-am all-local check check-TESTS check-am clean \
    859         clean-generic clean-local cscopelist-am ctags-am distclean \
    860         distclean-generic distdir dvi dvi-am html html-am info info-am \
    861         install install-am install-data install-data-am install-dvi \
    862         install-dvi-am install-exec install-exec-am install-html \
    863         install-html-am install-info install-info-am install-man \
    864         install-pdf install-pdf-am install-ps install-ps-am \
    865         install-strip installcheck installcheck-am installdirs \
    866         maintainer-clean maintainer-clean-generic mostlyclean \
    867         mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
    868         uninstall uninstall-am
    869 
    870 .PRECIOUS: Makefile
     453        clean-generic distclean distclean-generic distdir dvi dvi-am \
     454        html html-am info info-am install install-am install-data \
     455        install-data-am install-dvi install-dvi-am install-exec \
     456        install-exec-am install-html install-html-am install-info \
     457        install-info-am install-man install-pdf install-pdf-am \
     458        install-ps install-ps-am install-strip installcheck \
     459        installcheck-am installdirs maintainer-clean \
     460        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
     461        pdf-am ps ps-am uninstall uninstall-am
    871462
    872463
     
    874465
    875466all-local: ${TESTS:=.run}
    876 
    877 clean-local:
    878         rm -f ${TESTS}
    879467
    880468% : %.c ${CC}
Note: See TracChangeset for help on using the changeset viewer.